---
search:
  tags:
    - Customer Groups
    - POST
seo:
  description: >-
    Create a customer group for customer specific pricing. Reference for the
    POST /api/v1/{team_slug}/{app_slug}/customer-groups endpoint in the
    Management API.
sidebar:
  label: Create a customer group
  badge: POST
title: Create a customer group
type: openapi-operation
---
Create a customer group for customer specific pricing.

`POST /api/v1/{team_slug}/{app_slug}/customer-groups`

**Request body** (`application/json`, required)

customer group details

- `discount_percentage` (integer)
- `discount_percentage_decimals` (integer)
- `name` (string, required)
- `slug` (string, required)
- `store_group_id` (string, required)
- `type` (string, required)

Request body example:

```json
{
  "discount_percentage": 0,
  "discount_percentage_decimals": 0,
  "name": "string",
  "slug": "string",
  "store_group_id": "string",
  "type": "string"
}
```

**Responses**

- `200` — customer group created successfully
- `400` — Invalid request (e.g. bad payload, validation error)
- `401` — Unauthorized access
- `409` — Conflict (e.g. already exists)
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "app_id": "string",
    "created_at": "string",
    "discount_percentage": 0,
    "discount_percentage_decimals": 0,
    "id": "string",
    "name": "string",
    "slug": "string",
    "store_group_id": "string",
    "type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
